@import 'src/components/rem';

$widthOffset: rem(48px);

.info {
    display: grid;
    grid-template-columns: rem(180px) auto;
    grid-column-gap: rem(16px);

    align-self: center;
}

.history {
    margin-top: rem(30px);
}

.cancelReceipt {
    div {
        margin-right: 0 !important;
    }
}

.label:first-letter {
    text-transform: uppercase;
}

.footer {
    display: block;

    & > div {
        & > div {
            margin-right: rem(8px) !important;
        }

        * {
            width: auto;
        }
    }
}

.item:first-child {
    margin-top: rem(9px);

    &:before {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        width: calc(100% - #{$widthOffset});
        height: 1px;
        background: var(--color-gray);
    }
}

.hidden {
    display: none;
}

.table {
    padding-bottom: 0;
}

@media screen and (max-width: 768px) {
    .info {
        display: block;
        margin-bottom: rem(8px);

        span {
            display: block;
        }
    }
}
